Its not generating the coverage report for me with the latest version of gradle .
Liam James Duffy
1

FYI. figured it out. Its an incompatibility issue with jacoco and the latest version of gradle (im using 3.0.0-alpha4). setting my jacoco version manually fixed it.

jacoco {
toolVersion = "0.7.4+"

}
android {
...
}

reference: https://www.mkyong.com/gradle/gradle-jacoco-incompatible-version-1006/

Like what you read? Give Liam James Duffy a round of applause.

From a quick cheer to a standing ovation, clap to show how much you enjoyed this story.